<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description
CU: Realizar Informe de visita de Revisión o Auto estimación CU-NP-CO-168
página principal

@modified by leidy.gonzalez Se modifica bandera de disable para visualizar check modificados.

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Informe de concepto de avalúo o revisión::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();alert('Error AJAX en la aplicación');" />

        <p:focus for=":informeConceptoAvaluoOREvisionForm:observaciones"/>

        <h:form id="informeConceptoAvaluoOREvisionForm">
            <p:messages id="msgsIVRoA" showDetail="false" globalOnly="false" />
            <h:panelGrid rendered="#{!informeVisitaROAA.error}" width="100%">
                <p:fieldset >
                    <legend>
                        <h:outputText value="Identificación del trámite" styleClass="legendTitle" />
                    </legend>

                    <p:spacer height="10" width="0" />
                    <center>
                        <h:panelGrid columns="5" width="80%">
                            <h:outputLabel value="Número de solicitud: " styleClass="outputLabelStyle" />
                            <p:commandLink oncomplete="detalleSolicitudWV.show()"
                                           process="@this" update=":detalleSolicitudEjecutarForm">

                                <h:outputText style="width:150px"
                                              styleClass="commandLinkStyle"
                                              value="#{informeVisitaROAA.currentTramite.solicitud.numero}"/>
                                <f:setPropertyActionListener
                                    value="#{informeVisitaROAA.currentTramite.solicitud}"
                                    target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                                <f:setPropertyActionListener
                                    value="#{informeVisitaROAA.currentTramite}"
                                    target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                            </p:commandLink>
                            <p:spacer height="0" width="30" />
                            <h:outputLabel value="Número de radicación: " styleClass="outputLabelStyle" />
                            <p:commandLink oncomplete="detalleTramiteEjecutarWV.show()"
                                           immediate="true" title="Ver detalles del trámite"
                                           update=":detalleTramiteEjecutarForm">
                                <h:outputText style="width:150px"
                                              styleClass="commandLinkStyle"
                                              value="#{informeVisitaROAA.currentTramite.numeroRadicacion}"/>
                                <f:setPropertyActionListener
                                    value="#{informeVisitaROAA.currentTramite}"
                                    target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                            </p:commandLink>


                            <h:outputLabel value="Fecha de radicación: " styleClass="outputLabelStyle" />
                            <h:outputText id="fechaSolicitud" styleClass="outputTextStyle"
                                          value="#{informeVisitaROAA.currentTramite.fechaRadicacion}">
                                <f:convertDateTime
                                    pattern="#{general.formatoFechaComponenteCalendar}" />
                            </h:outputText>
                            <p:spacer height="0" width="30" />
                            <h:outputLabel value="Tipo de Trámite: "
                                           styleClass="outputLabelStyle" />
                            <h:panelGroup>
                                <h:outputText value="#{informeVisitaROAA.currentTramite.tipoTramite}"
                                              id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                                    <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                                </h:outputText>
                                <h:outputText value=" #{informeVisitaROAA.currentTramite.claseMutacion}"
                                              id="MutacionClaseV" styleClass="outputTextStyle">
                                    <f:converter converterId="converterCB" for="MutacionClaseV" />
                                </h:outputText>



                            </h:panelGroup>

                            <h:outputLabel value="Derecho Petición/Tutela: "
                                           styleClass="outputLabelStyle" />
                            <p:commandLink oncomplete="detalleSolicitudWV.show();"
                                           update=":detalleSolicitudEjecutarForm" process="@this"
                                           styleClass="commandLinkStyleInTable">
                                <h:outputText value="#{informeVisitaROAA.currentTramite.formaPeticionTramite}" />
                                <f:setPropertyActionListener value="#{informeVisitaROAA.currentTramite.solicitud}"
                                                             target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                            </p:commandLink>

                        </h:panelGrid>
                    </center>

                </p:fieldset>


                <p:spacer height="20" width="0" />
                <center>
                    <h:panelGrid columns="5" width="80%">
                        <h:panelGroup>
                            <h:outputLabel value="Fecha de la visita:"
                                           styleClass="outputLabelStyle" />
                            <p:calendar id="fechaVisita"
                                        value="#{informeVisitaROAA.currentComisionTramite.fechaVisita}"
                                        navigator="true" label="Fecha visita" showOn="button"
                                        pattern="#{general.formatoFechaComponenteCalendar}"
                                        title="#{general.formatoFechaUsuario}" effect="slideDown" size="12"
                                        maxdate="#{informeVisitaROAA.currentDate}"
                                        locale="es_CO"/>
                            <p:message id="fechaVisitaMsg" for="fechaVisita" display="icon" />
                        </h:panelGroup>
                        <p:spacer height="0" width="15" />

                        <h:panelGroup>
                            <h:outputLabel value="Fecha del informe: "
                                           styleClass="outputLabelStyle" />
                            <h:outputText value="#{informeVisitaROAA.fechaInforme}"
                                          styleClass="outputTextStyle" >
                                <f:convertDateTime pattern="#{general.formatoFechaHora24}" locale="es_CO"
                                                   timeZone="GMT-5" />
                            </h:outputText>
                        </h:panelGroup>
                        <p:spacer height="0" width="15" />

                        <h:panelGroup>
                            <h:outputLabel value="Comisión No.: "
                                           styleClass="outputLabelStyle" />
                            <h:outputText value="#{informeVisitaROAA.currentComisionTramite.comision.numero}" 
                                          styleClass="outputTextStyle" />
                        </h:panelGroup>
                    </h:panelGrid>
                </center>


                <p:spacer height="20" width="0" />
                <center>
                    <h:panelGrid columns="1" width="80%">
                        <p:fieldset>
                            <legend>
                                <h:outputText value="Datos revisados" styleClass="legendTitleSmall" />
                            </legend>
                            <p:spacer height="10" width="0" />

                            <h:panelGrid columns="3">
                                <p:dataTable
                                    value="#{informeVisitaROAA.datosConChecks}"
                                    var="dato">

                                    <p:column headerText="Dato">
                                        #{dato.dato}
                                    </p:column>
                                    <p:column headerText="Verificado">
                                        <h:selectBooleanCheckbox  value="#{dato.verificado}" />
                                    </p:column>
                                    <p:column headerText="Modificado">
                                        <h:selectBooleanCheckbox value="#{dato.modificado}" disabled="#{!informeVisitaROAA.banderaTramiteAsociado}"/>
                                    </p:column>
                                </p:dataTable>
                                <p:spacer height="0" width="20" />
                                <h:panelGrid columns="1" style="vertical-align: bottom">
                                    <h:outputLabel value="Observaciones: "
                                                   styleClass="outputLabelStyle" />
                                    <h:inputTextarea cols="40" rows="10" id="observaciones"
                                                     onkeydown="controlarNroChars(this, 2000, true)"
                                                     onkeyup="controlarNroChars(this, 2000, true)"
                                                     value="#{informeVisitaROAA.currentComisionTramite.observacionesVisita}"/>
                                </h:panelGrid>
                            </h:panelGrid>
                        </p:fieldset>
                    </h:panelGrid>
                </center>

                <center>
                    <h:panelGrid columns="3" >
                        <h:outputLabel styleClass="outputLabelStyle" >
                            Teniendo en cuenta los anteriores factores se considera <br/> que este trámite debe ser:
                        </h:outputLabel>
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />

                        <p:spacer height="0" width="15" />
                        <h:panelGroup>
                            <h:selectOneRadio id="selectTramMustBe"
                                              value="#{informeVisitaROAA.tramiteMustBe}" layout="pageDirection"
                                              required="true" label="Selección de: qué pasa con el trámite">
                                <f:selectItems value="#{informeVisitaROAA.tramiteMustBeOptions}" />
                                <p:ajax immediate="true" />
                            </h:selectOneRadio>
                            <p:message id="selectTramMustBeMsg" for="selectTramMustBe" display="icon" />
                        </h:panelGroup>
                    </h:panelGrid>

                    <p:spacer height="10" width="0" />
                    <h:panelGrid columns="3" width="80%">

                        <h:outputLabel value="Razones del concepto: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />



                        <h:panelGroup>

                            <h:inputTextarea rows="3" cols="60" required="true"
                                             id="razConceptoTA"
                                             requiredMessage="Se deben ingresar Razones del concepto."
                                             onkeydown="controlarNroChars(this, 2000, true)"
                                             onkeyup="controlarNroChars(this, 2000, true)"
                                             value="#{informeVisitaROAA.currentComisionTramite.detalleInformeVisita}" />
                            <p:message id="razConceptoMsg" for="razConceptoTA" display="icon" />
                        </h:panelGroup>
                    </h:panelGrid>

                </center>

                <p:spacer height="20" width="0" />
                <h:panelGrid columns="6">
                    <p:spacer height="0" width="50" /> 
                    <p:commandButton value="Guardar"
                                     ajax="false"
                                     action="#{informeVisitaROAA.guardarInformeVisita}"
                                     icon="ui-icon-disk"
                                     update="msgsIVRoA, fechaVisitaMsg, selectTramMustBeMsg"/>
                    <p:spacer height="0" width="50" />
                    <p:commandButton value="Generar informe"
                                     disabled="#{!informeVisitaROAA.guardoDatosInforme}"
                                     action="#{informeVisitaROAA.generarInforme}"
                                     icon="ui-icon-script"
                                     onstart="statusDialog2.show()"
                                     oncomplete="statusDialog2.hide();visorReporteWV.show();"
                                     update=":viewReport:vistaMemoForm, msgsIVRoA" />
                    <p:spacer height="0" width="50" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid rendered="#{informeVisitaROAA.error}">

                <h:outputText value="El trámite no tiene una comisión asociada a pesar de ser de terreno, por favor verifique los datos" />

            </h:panelGrid>

            <p:separator style="width:90%;height:3px" />

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton id="avanzarProcBtn"
                                 value="Avanzar proceso del trámite"
                                 disabled="#{!informeVisitaROAA.generoInforme}"
                                 ajax="false"
                                 action="#{informeVisitaROAA.avanzarProceso}"
                                 icon="ui-icon-seek-next"
                                 update="msgsIVRoA" />
                <p:spacer height="0" width="50" />

                <p:commandButton value="Cerrar" update="msgInfoFis"
                                 icon="ui-icon-circle-close" immediate="true"
                                 action="#{informeVisitaROAA.cerrarPaginaPrincipal}" ajax="false"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>	

        </h:form>


        <p:dialog header="Detalle de la solicitud" widgetVar="detalleSolicitudWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  dynamic="true"	width="1024" height="550">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true" resizable="true" position="center"
                  dynamic="true" width="1024" height="550">
            <ui:include src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam" value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="800">
            <ui:include src="../consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{informeVisitaROAA.reporteInformeVisita.urlWebReporte}"
            fileContent="#{informeVisitaROAA.reporteInformeVisita.streamedContentReporte}"
            documentoGenerado="#{informeVisitaROAA.reporteInformeVisita ne null}"
            radicarButtonVisible="false"
            componentsToUpdateOnClose=":informeConceptoAvaluoOREvisionForm:avanzarProcBtn"
            cancelButtonEnabled="true"/>

        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>
</ui:composition>
